<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'atto_styles', language 'el_wp', version '3.6'.
 *
 * @package     atto_styles
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['config'] = 'Διαμόρφωση των στυλ';
$string['config_desc'] = 'Διαμόρφωση για το γραφικό στοιχείο στυλ για τον (επεξεργαστή κειμένου) Atto σε μορφότυπο JSON.
<hr /><pre>
Για παράδειγμα:
{
    "title": "Blue box",
    "type": "block",
    "classes": "box blue"
    "preview": true
},{
    "title": "Red text",
    "type": "inline",
    "classes": "red"
    "preview": true
}
<hr /></pre>
Το χαρακτηριστικό <em>title</em> καθορίζει το όνομα για το στυλ στο γραφικό στοιχείο στυλ του Atto.<br />
<br />
Ένας τίτλος μπορεί επίσης να υποστηρίξει το φίλτρο πολυγλωσσικού Moodle (αν είναι ενεργοποιημένο), αλλά για επιπλέον διπλά εισαγωγικά θα πρέπει να χρησιμοποιηθεί η  ανάστροφη κάθετος.<br />
Παρακαλώ ρίξτε μια ματιά στο αρχείο README του πρόσθετου για παράδειγμα.<br />
<hr />
Το χαρακτηριστικό <em>type</em> μπορεί να περιέχει μια από δυο τιμές: «block» ή «inline».<br />
<br />
Η τιμή «block» θα δημιουργήσει μια ετικέτα div με την δεδομένη κλάση(-εις) και θα λειτουργήσει ως πρότυπο στοιχείο επιπέδου μπλοκ. Αυτό θα αναλάβει το τρέχον στοιχείο επίπεδου μπλοκ και μπορεί να ισχύει για περισσότερο από το επιλεγμένο κείμενο.<br />
<br />
Η τιμή «inline» θα δημιουργήσει μια ετικέτα span με τη δεδομένη κλάση(-εις)  και θα λειτουργήσει ως πρότυπο ενσωματωμένο στοιχείο. Αυτό θα ισχύει μόνο για το επιλεγμένο κείμενο.
<hr />
Το χαρακτηριστικό <em>classes</em> παίρνει το όνομα της κλάσης CSS που θα εφαρμοστεί στο κείμενο block / inline.<br />
<br />
Μπορούν να καθοριστούν πολλαπλές κλάσεις για κάθε στοιχείο, διαχωρισμένες με κενό διάστημα. Αυτές θα εφαρμοστούν στο κείμενο block / inline.<br />
<br />
Οι ορισμοί κλάσεων CSS δεν μπορούν να γίνουν μέσα σε αυτό το πρόσθετο. Θα πρέπει να προσθέσετε του ορισμούς των κλάσεων CSS σας στο θέμα σας ή τις επιπλέον ρυθμίσεις HTML στο Moodle.
<hr />
Σε εγκαταστάσεις Moodle με θέματα με βάση το bootstrap (ειδικότερα τα <em>Boost</em>, <em>More</em> και <em>Clean</em>, μπορείτε επίσης να δημιουργήσετε στυλ με τις κλάσεις CSS του bootstrap αντί να καθορίσετε τις δικές σας κλάσεις.</pre>


Για παράδειγμα:
{
    "title": "Success alert",
    "type": "block",
    "classes": "alert alert-success"
},{
    "title": "Info badge",
    "type": "inline",
    "classes": "badge badge-info"
},{<br />
    "title": "Warning badge",
    "type": "inline",
    "classes": "badge badge-warning"
}

</pre>
Για περισσότερες πληροφορίες σχετικά με τις κλάσεις bootstrap, παρακαλώ επισκεφτείτε τους ακόλουθους συνδέσμους στην τεκμηρίωση Bootstrap 2.3 (για <em>Clean</em> και <em>More</em>):
<ul>
<li><a href="http://getbootstrap.com/2.3.2/components.html#labels-badges">Bootstrap ετικέτες και διακριτικά</a></li>
<li><a href="http://getbootstrap.com/2.3.2/components.html#alerts">Bootstrap ειδοποιήσεις</a></li>
<li><a href="http://getbootstrap.com/2.3.2/components.html#misc">Bootstrap κλάσεις βοήθειας</a></li>
</ul>
η στην τεκμηρίωση Bootstrap 4 (για <em>Boost</em>):
<ul>
<li><a href="http://v4-alpha.getbootstrap.com/components/badge/">Bootstrap βραβεία</a></li>
<li><a href="http://v4-alpha.getbootstrap.com/components/alerts/">Bootstrap ειδοποιήσεις</a></li>
<li><a href="http://v4-alpha.getbootstrap.com/utilities/">Bootstrap βοηθητικά προγράμματα</a></li>
</ul>';
$string['inlinehint'] = 'Επιλέξτε κάποιο κείμενο πρώτα για να εφαρμοστεί αυτό το στυλ';
$string['nostyle'] = 'Χωρίς στυλ';
$string['pluginname'] = 'Στυλ';
$string['privacy:metadata'] = 'Το πρόσθετο «atto_styles» δεν αποθηκεύει κανένα προσωπικό δεδομένο.';
$string['settings'] = 'Ρυθμίσεις στυλ';
